package net.wanji.opt.controller;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;
import net.wanji.common.framework.rest.JsonViewObject;
import net.wanji.opt.bo.ProblemSchemeBO;
import net.wanji.opt.service.impl.SchemeEvaluateServiceImpl;
import net.wanji.opt.vo.SchemeEvaluateProblemSchemeVO;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.ws.rs.core.MediaType;

/**
 * 运行评价
 *
 * @author Kent HAN
 */
@Api(value = "SchemeEvaluateController", description = "方案评价")
@RequestMapping("/schemeEvaluate")
@RestController
public class SchemeEvaluateController {
    private final SchemeEvaluateServiceImpl schemeEvaluateService;

    public SchemeEvaluateController(SchemeEvaluateServiceImpl schemeEvaluateService) {
        this.schemeEvaluateService = schemeEvaluateService;
    }

    @ApiOperation(value = "问题方案列表", notes = "问题方案列表", response = JsonViewObject.class,
            produces = MediaType.APPLICATION_JSON, consumes = MediaType.APPLICATION_JSON)
    @PostMapping(value = "/problemSchemeList",
            produces = MediaType.APPLICATION_JSON, consumes = MediaType.APPLICATION_JSON)
    @ApiResponses({
            @ApiResponse(code = 200, message = "OK", response = SchemeEvaluateProblemSchemeVO.class),
    })
    public JsonViewObject problemSchemeList(@RequestBody ProblemSchemeBO problemSchemeBO) {
        SchemeEvaluateProblemSchemeVO res = schemeEvaluateService.problemSchemeList(problemSchemeBO);
        return JsonViewObject.newInstance().success(res);
    }

}